Bug 615715 - postgresql-ip4r: could not load library "/usr/lib64/pgsql/ip4r.so"
postgresql-ip4r: could not load library "/usr/lib64/pgsql/ip4r.so"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: postgresql-ip4r (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Devrim Gündüz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-18 04:53 EDT by ecd77526c7e5
Modified: 2010-08-25 14:55 EDT (History)
1 user (show)

See Also:
Fixed In Version: postgresql-ip4r-1.05-1.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-18 05:29:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ecd77526c7e5 2010-07-18 04:53:18 EDT
Description of problem:
I've confronted with problem of loading ip4r data into database from SQL file.

Version-Release number of selected component (if applicable):
postgresql-server-8.4.4-1.fc13.x86_64
postgresql-libs-8.4.4-1.fc13.x86_64
postgresql-ip4r-1.03-4.fc12.x86_64

Steps to Reproduce:
1. Install postgresql
     %# yum install postgresql-server
2. Install ip4r
     %# yum install postgresql-ip4r
3. Start postgresql
     %# service postgresql start
4. Log in in some database
     %# psql -U postgres test
5. Load data from file
     test=# \i /usr/share/postgresql-ip4r/ip4r.sql

Actual results:
The last step generates dozens of errors, most of them are from "type ip4r not found". The first error was:

    psql:/usr/share/postgresql-ip4r/ip4r.sql:14: ERROR:  could not load library "/usr/lib64/pgsql/ip4r.so":
/usr/lib64/pgsql/ip4r.so: undefined symbol: Int64GetDatum
Comment 1 ecd77526c7e5 2010-07-18 05:29:40 EDT
Updating to 1.05 of ip4r fixed the problem.

Problem solved.
Comment 2 Fedora Update System 2010-07-19 03:26:37 EDT
postgresql-ip4r-1.05-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/postgresql-ip4r-1.05-1.fc13
Comment 3 Fedora Update System 2010-07-19 03:26:43 EDT
postgresql-ip4r-1.05-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/postgresql-ip4r-1.05-1.el5
Comment 4 Fedora Update System 2010-07-19 03:26:48 EDT
postgresql-ip4r-1.05-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/postgresql-ip4r-1.05-1.fc12
Comment 5 Fedora Update System 2010-08-25 14:54:59 EDT
postgresql-ip4r-1.05-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.